#
# Conditional build:
%bcond_without	gtk		# without gtk-loader package (which requires gtk+2-devel)
%bcond_without	static_libs	# don't build static version of library
#
Summary:	libwmf - library to convert WMF files
Summary(pl.UTF-8):	libwmf - biblioteka z funkcjami do konwersji plików WMF
Name:		libwmf
Version:	0.2.12
Release:	1
Epoch:		2
License:	LGPL v2+
Group:		Applications/Text
# original project seems dead
#Source0:	http://downloads.sourceforge.net/wvware/%{name}-%{version}.tar.gz
# RedHat supported fork
#Source0Download: https://github.com/caolanm/libwmf/releases
Source0:	https://github.com/caolanm/libwmf/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	fa5c642447ef6c37737c6ac767d4ba3a
Patch0:		%{name}-fontmap-pld.patch
Patch1:		%{name}-includes.patch
Patch2:		%{name}-segv.patch
Patch3:		%{name}-png12.patch
Patch4:		%{name}-ah.patch
URL:		http://wvware.sourceforge.net/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	freetype-devel >= 2.0
%{?with_gtk:BuildRequires:	gdk-pixbuf2-devel >= 2.1.2}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.4.0
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
Requires(post):	ghostscript-fonts-std
Requires(post):	sed
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	fonts-Type1-urw
Requires:	sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer

%description
libwmf is a library for Unix like machines that can convert WMF files
into other formats, currently it supports fig, eps, a gd binding to
convert to png, and an X one to draw direct to an X Window or pixmap.

%description -l pl.UTF-8
libwmf jest biblioteką dla systemów uniksowych, która konwertuje pliki
WMF na inne formaty. Aktualnie obsługuje formaty fig i eps, format png
poprzez bibliotekę gd oraz - poprzez biblioteki X Window - rysowanie w
okienku oraz format xpm.

%package libs
Summary:	libwmf - libraries
Summary(pl.UTF-8):	libwmf - biblioteki
Group:		Libraries
Conflicts:	libwmf < 2:0.2.8.4

%description libs
This package contains libwmf libraries.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki libwmf.

%package devel
Summary:	libwmf - header files
Summary(pl.UTF-8):	libwmf - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
# libwmflite(.la) has no additional deps
# libwmf(.la) needs freetype-devel, expat-devel, libjpeg-devel, libpng-devel, xorg-lib-libX11-devel

%description devel
This package contains libwmf header files.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe do biblioteki libwmf.

%package static
Summary:	libwmf - static libraries
Summary(pl.UTF-8):	libwmf - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains libwmf static libraries.

%description static -l pl.UTF-8
Pakiet zawiera statyczną wersję biblioteki libwmf.

%package gtk-loader
Summary:	WMF loader for gdk_pixbuf 2.x library
Summary(pl.UTF-8):	Moduł wczytujący WMF dla biblioteki gdk_pixbuf 2.x
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description gtk-loader
WMF loader for gdk_pixbuf 2.x library.

%description gtk-loader -l pl.UTF-8
Moduł wczytujący WMF dla biblioteki gdk_pixbuf 2.x

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--with-sysfontmap=%{_fontsdir}/ghostscript-fonts-std.font \
	--with-gsfontmap=%{_fontsdir}/Type1/Fontmap \
	--with-gsfontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# no static modules and *.la for GTK+ loaders - shut up check-files
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/libwmf-fontmap > /dev/null

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/libwmf-fontmap
%attr(755,root,root) %{_bindir}/wmf2eps
%attr(755,root,root) %{_bindir}/wmf2fig
%attr(755,root,root) %{_bindir}/wmf2gd
%attr(755,root,root) %{_bindir}/wmf2svg
%attr(755,root,root) %{_bindir}/wmf2x
%dir %{_datadir}/libwmf
%dir %{_datadir}/libwmf/fonts
%ghost %{_datadir}/libwmf/fonts/fontmap

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwmf-0.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwmf-0.2.so.7
%attr(755,root,root) %{_libdir}/libwmflite-0.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwmflite-0.2.so.7

%files devel
%defattr(644,root,root,755)
%doc doc/caolan doc/html/{*.html,*.css,*.gif,*.png} examples
%attr(755,root,root) %{_bindir}/libwmf-config
%attr(755,root,root) %{_libdir}/libwmf.so
%attr(755,root,root) %{_libdir}/libwmflite.so
%{_libdir}/libwmf.la
%{_libdir}/libwmflite.la
%{_includedir}/libwmf
%{_pkgconfigdir}/libwmf.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwmf.a
%{_libdir}/libwmflite.a
%endif

%if %{with gtk}
%files gtk-loader
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gdk-pixbuf-2.0/2.*/loaders/io-wmf.so
%endif
%changelog
* Thu Apr 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwmf.git;a=log;h=master

* Wed Apr 24 2019 Jakub Bogusz <qboosh@pld-linux.org> d62a6f3
- updated to 0.2.12 from github fork
- updated fontmap-pld patch
- removed obsolete security patches and pixbufloaderdir patch
- added ah patch (autoheader fixes)

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> 7a3ab77
- rebuild without libjpeg.la
- release 24 (by relup.sh)

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 7b1326d
- x32 rebuild
- release 23 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 016450a
- release 22 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 185be43
- release 21 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 9f92a62
- rebuild with expat 2.1.0
- release 20 (by relup.sh)

* Wed Feb 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e49ae4
- rel 19; link with libpng instead of libpng14

* Wed Feb 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ee4d6fd
- release 18

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> baad951
- release 17

* Fri Feb 18 2011 lisu <lisu@pld-linux.org> 408f05e
- adapt to standalone gdk-pixbuf

* Fri Feb 18 2011 lisu <lisu@pld-linux.org> ce43a3a
- gtk+2 loaders are now stored in %{_libdir}/gdk-pixbuf-2.0/*/loaders/
- use __rm macro
- LDFLAGS passed with configure script
- rel 16

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> 4b074b4
- rel 15 (new gtk+2)

* Thu Jan 06 2011 Kacper Kornet <draenog@pld-linux.org> 26b0bf1
- patch internal version of gd (taken from Fedora)
- rel. 14

* Mon Nov 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fcd83a8
- release 13

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 354591b
- ghost soname symlinks, more verbose files
- license is LGPL (v2+)

* Thu Jan 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> c4c9bd0
- typo in previous commit log

* Thu Jan 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 896ba6d
- build with libpng 1.4
- release 12

* Thu Jan 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a6ea61c
- fixes for libpng 1.4

* Thu Jan 28 2010 amateja <amateja@pld-linux.org> 55e95dd
- release 11

* Tue Dec 01 2009 sparky <sparky@pld-linux.org> 09da5af
- BR: pkgconfig

